using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 用户计算结果
    /// </summary>
    [SugarTable("YB_nMeasureResult", TableDescription = "用户计算结果", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public  class YB_nMeasureResult
    {
        /// <summary>
        /// 主键,记录ID
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 设备类型
        /// </summary>
        [SugarColumn(ColumnDescription = "设备类型,参考类型表")]
        public int DevType { get; set; }
        /// <summary>
        /// 性别,1-男,2-女,0-未知
        /// </summary>
        [SugarColumn(ColumnDescription = "性别,1-男,2-女,0-未知")]
        public GenderType Sex { get; set; }

        /// <summary>
        /// 年龄,岁
        /// </summary>
        [SugarColumn(ColumnDescription = "年龄,岁")]
        public int Age { get; set; }

        /// <summary>
        /// 年龄月份
        /// </summary>
        [SugarColumn(ColumnDescription = "年龄月份")]
        public int Month { get; set; }

        /// <summary>
        /// 身高,单位为CM
        /// </summary>
        [SugarColumn(ColumnDescription = "身高,单位为CM", ColumnDataType = "decimal(18,2)")]
        public decimal Height { get; set; }

        /// <summary>
        /// 体重
        /// </summary>
        [SugarColumn(ColumnDescription = "体重", ColumnDataType = "decimal(18,2)")]
        public decimal Weight { get; set; }

        /// <summary>
        /// 头围
        /// </summary>
        [SugarColumn(ColumnDescription = "头围", ColumnDataType = "decimal(18,2)",IsNullable =true)]
        public decimal Head { get; set; }

        /// <summary>
        /// 脂肪率
        /// </summary>
        [SugarColumn(ColumnDescription = "脂肪率", ColumnDataType = "decimal(18,2)")]
        public decimal fat_r { get; set; }

        /// <summary>
        /// 肌肉率
        /// </summary>
        [SugarColumn(ColumnDescription = "肌肉率", ColumnDataType = "decimal(18,2)")]
        public decimal muscle { get; set; }

        /// <summary>
        /// 水份
        /// </summary>
        [SugarColumn(ColumnDescription = "水份", ColumnDataType = "decimal(18,2)")]
        public decimal water { get; set; }

        /// <summary>
        /// 骨重
        /// </summary>
        [SugarColumn(ColumnDescription = "骨重", ColumnDataType = "decimal(18,2)")]
        public decimal bone { get; set; }

        /// <summary>
        /// 基础代谢
        /// </summary>
        [SugarColumn(ColumnDescription = "基础代谢", ColumnDataType = "decimal(18,2)")]
        public decimal kcal { get; set; }

        /// <summary>
        /// 脂肪重量
        /// </summary>
        [SugarColumn(ColumnDescription = "脂肪重量", ColumnDataType = "decimal(18,2)")]
        public decimal fat_w { get; set; }

        /// <summary>
        /// 内脂
        /// </summary>
        [SugarColumn(ColumnDescription = "内脂", ColumnDataType = "decimal(18,2)")]
        public decimal visceral { get; set; }

        /// <summary>
        /// 蛋白质
        /// </summary>
        [SugarColumn(ColumnDescription = "蛋白质", ColumnDataType = "decimal(18,2)")]
        public decimal protein { get; set; }

        /// <summary>
        /// 体龄
        /// </summary>
        [SugarColumn(ColumnDescription = "体龄", ColumnDataType = "decimal(18,2)")]
        public int bodyage { get; set; }

        /// <summary>
        /// BMI
        /// </summary>
        [SugarColumn(ColumnDescription = "BMI", ColumnDataType = "decimal(18,2)")]
        public decimal bmi { get; set; }

        /// <summary>
        /// 分数
        /// </summary>
        [SugarColumn(ColumnDescription = "分数", ColumnDataType = "decimal(18,2)")]
        public decimal cmi { get; set; }

        /// <summary>
        /// 皮下脂肪
        /// </summary>
        [SugarColumn(ColumnDescription = "皮下脂肪", ColumnDataType = "decimal(18,2)")]
        public decimal sfr { get; set; }

        /// <summary>
        /// 肌肉量
        /// </summary>
        [SugarColumn(ColumnDescription = "肌肉量", ColumnDataType = "decimal(18,2)")]
        public decimal muscleval { get; set; }

        /// <summary>
        /// 蛋白量
        /// </summary>
        [SugarColumn(ColumnDescription = "阻蛋白量抗值", ColumnDataType = "decimal(18,2)")]
        public decimal proteinval { get; set; }

        /// <summary>
        /// 去脂体重
        /// </summary>
        [SugarColumn(ColumnDescription = "去脂体重", ColumnDataType = "decimal(18,2)")]
        public decimal lbm { get; set; }

        /// <summary>
        /// 体型,参考体型枚举
        /// </summary>
        [SugarColumn(ColumnDescription = "体型,参考体型枚举", ColumnDataType = "nvarchar(50)")]
        public string body { get; set; }

        /// <summary>
        /// 肥胖等级,参考等级枚举
        /// </summary>
        [SugarColumn(ColumnDescription = "肥胖等级,参考等级枚举", ColumnDataType = "nvarchar(50)")]
        public string fatlevel { get; set; }
        /// <summary>
        /// 躯干肌肉率
        /// </summary>
        [SugarColumn(ColumnDescription = "躯干肌肉率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal BodyMuscle { get; set; }

        /// <summary>
        /// 左脚肌肉率
        /// </summary>
        [SugarColumn(ColumnDescription = "左脚肌肉率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftFootMuscle { get; set; }

        /// <summary>
        /// 右脚肌肉率
        /// </summary>
        [SugarColumn(ColumnDescription = "右脚肌肉率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightFootMuscle { get; set; }

        /// <summary>
        /// 左手肌肉率
        /// </summary>
        [SugarColumn(ColumnDescription = "左手肌肉率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftHandMuscle { get; set; }

        /// <summary>
        /// 右手肌肉率
        /// </summary>
        [SugarColumn(ColumnDescription = "右手肌肉率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightHandMuscle { get; set; }

        /// <summary>
        /// 躯干脂肪率
        /// </summary>
        [SugarColumn(ColumnDescription = "躯干脂肪率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal BodyFat { get; set; }

        /// <summary>
        /// 左脚脂肪率
        /// </summary>
        [SugarColumn(ColumnDescription = "左脚脂肪率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftFootFat { get; set; }

        /// <summary>
        /// 右脚脂肪率
        /// </summary>
        [SugarColumn(ColumnDescription = "右脚脂肪率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightFootFat { get; set; }

        /// <summary>
        /// 左手脂肪率
        /// </summary>
        [SugarColumn(ColumnDescription = "左手脂肪率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftHandFat { get; set; }

        /// <summary>
        /// 右手脂肪率
        /// </summary>
        [SugarColumn(ColumnDescription = "右手脂肪率", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightHandFat { get; set; }

        /// <summary>
        /// 躯干肌肉量
        /// </summary>
        [SugarColumn(ColumnDescription = "躯干肌肉量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal BodyMuscleVal { get; set; }

        /// <summary>
        /// 左脚肌肉量
        /// </summary>
        [SugarColumn(ColumnDescription = "左脚肌肉量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftFootMuscleVal { get; set; }

        /// <summary>
        /// 右脚肌肉量
        /// </summary>
        [SugarColumn(ColumnDescription = "右脚肌肉量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightFootMuscleVal { get; set; }

        /// <summary>
        /// 左手肌肉量
        /// </summary>
        [SugarColumn(ColumnDescription = "左手肌肉量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftHandMuscleVal { get; set; }

        /// <summary>
        /// 右手肌肉量
        /// </summary>
        [SugarColumn(ColumnDescription = "右手肌肉量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightHandMuscleVal { get; set; }

        /// <summary>
        /// 躯干脂肪量
        /// </summary>
        [SugarColumn(ColumnDescription = "躯干脂肪量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal BodyFatVal { get; set; }

        /// <summary>
        /// 左脚脂肪量
        /// </summary>
        [SugarColumn(ColumnDescription = "左脚脂肪量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftFootFatVal { get; set; }

        /// <summary>
        /// 右脚脂肪量
        /// </summary>
        [SugarColumn(ColumnDescription = "右脚脂肪量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightFootFatVal { get; set; }

        /// <summary>
        /// 左手脂肪量
        /// </summary>
        [SugarColumn(ColumnDescription = "左手脂肪量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal LeftHandFatVal { get; set; }

        /// <summary>
        /// 右手脂肪量
        /// </summary>
        [SugarColumn(ColumnDescription = "右手脂肪量", ColumnDataType = "decimal(18,2)")]
        public System.Decimal RightHandFatVal { get; set; }

        /// <summary>
        /// 皮下脂肪量,kg
        /// </summary>
        [SugarColumn(ColumnDescription = "皮下脂肪量,kg", ColumnDataType = "decimal(18,2)")]
        public System.Decimal SfrVal { get; set; }

        /// <summary>
        /// 理想体重
        /// </summary>
        [SugarColumn(ColumnDescription = "理想体重", ColumnDataType = "decimal(18,2)")]
        public System.Decimal IdealWeight { get; set; }

        /// <summary>
        /// 骨骼肌量,kg
        /// </summary>
        [SugarColumn(ColumnDescription = "骨骼肌量,kg", ColumnDataType = "decimal(18,2)")]
        public System.Decimal SkeletalMuscle { get; set; }

        /// <summary>
        /// 计算时间
        /// </summary>
        [SugarColumn(ColumnDescription = "计算时间")]
        public DateTime createtime { get; set; }
    }
}
